NativeLibrarySpec (Gradle API 9.7.1)
Description: declaration: package: org.gradle.nativeplatform, interface: NativeLibrarySpec

# Interface NativeLibrarySpec

All Superinterfaces:
  `ComponentSpec, GeneralComponentSpec, LibrarySpec, ModelElement, Named, NativeComponentSpec, PlatformAwareComponentSpec, SourceComponentSpec, TargetedNativeComponent, VariantComponent, VariantComponentSpec`

@Incubating @Deprecated public interface NativeLibrarySpec extends LibrarySpec, NativeComponentSpec, TargetedNativeComponent
Deprecated.
The Gradle software model is deprecated and will be removed in Gradle 10. Use the new component model (e.g. `cpp-application`, `cpp-library`, `swift-application`, `swift-library`, `xctest`) instead.
Definition of a native library component that is to be built by Gradle.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface Named

  `Named.Namer`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `NativeLibraryRequirement`
  `getApi()`
  Deprecated.
  Converts this library to a native library requirement that uses the api library linkage.
  `NativeLibraryRequirement`
  `getShared()`
  Deprecated.
  Converts this library to a native library requirement that uses the shared library variant.
  `NativeLibraryRequirement`
  `getStatic()`
  Deprecated.
  Converts this library to a native library requirement that uses the static library variant.

  ### Methods inherited from interface ComponentSpec

  `getProjectPath`

  ### Methods inherited from interface ModelElement

  `getDisplayName`

  ### Methods inherited from interface NativeComponentSpec

  `getBaseName, setBaseName`

  ### Methods inherited from interface PlatformAwareComponentSpec

  `targetPlatform`

  ### Methods inherited from interface SourceComponentSpec

  `getSources`

  ### Methods inherited from interface TargetedNativeComponent

  `targetBuildTypes, targetFlavors`

  ### Methods inherited from interface VariantComponent

  `getName, getVariants`

  ### Methods inherited from interface VariantComponentSpec

  `getBinaries`

- ## Method Details

  - ### getShared

    NativeLibraryRequirement getShared()
    Deprecated.
    Converts this library to a native library requirement that uses the shared library variant. This is the default.

  - ### getStatic

    NativeLibraryRequirement getStatic()
    Deprecated.
    Converts this library to a native library requirement that uses the static library variant.

  - ### getApi

    NativeLibraryRequirement getApi()
    Deprecated.
    Converts this library to a native library requirement that uses the api library linkage.